Package org.postgresql.core.v3

# Class ConnectionFactoryImpl

java.lang.Object
org.postgresql.core.ConnectionFactory
org.postgresql.core.v3.ConnectionFactoryImpl

public class ConnectionFactoryImpl extends ConnectionFactory
ConnectionFactory implementation for version 3 (7.4+) connections.

## Constructor Summary

Constructors
Constructor
Description
`ConnectionFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`QueryExecutor`
`openConnectionImpl(HostSpec[] hostSpecs, Properties info)`
Implementation of `ConnectionFactory.openConnection(org.postgresql.util.HostSpec[], java.util.Properties)` for a particular protocol version.

### Methods inherited from class org.postgresql.core.ConnectionFactory

`closeStream, openConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectionFactoryImpl

public ConnectionFactoryImpl()

## Method Details

### openConnectionImpl

public QueryExecutor openConnectionImpl(HostSpec[] hostSpecs, Properties info) throws SQLException
Description copied from class: `ConnectionFactory`
Implementation of `ConnectionFactory.openConnection(org.postgresql.util.HostSpec[], java.util.Properties)` for a particular protocol version. Implemented by subclasses of `ConnectionFactory`.

Specified by:
  `openConnectionImpl` in class `ConnectionFactory`
Parameters:
  `hostSpecs` - at least one host and port to connect to; multiple elements for round-robin failover
  `info` - extra properties controlling the connection; notably, "password" if present supplies the password to authenticate with.
Returns:
  the new, initialized, connection, or `null` if this protocol version is not supported by the server.
Throws:
  `SQLException` - if the connection could not be established for a reason other than protocol version incompatibility.